unit dismsg;
interface
uses windos, dvcrt, dvWin, dvLenum;

procedure mensagem (nomeArq: string; nlf: integer);

implementation

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
begin
    if nomeArq = 'DINOMENV' then
        write ('Qual o nome do arquivo a enviar ? ')
    else
    if nomeArq = 'DIENVCAN' then
        write ('Envio cancelado.')
    else
    if nomeArq = 'DIARQNAO' then
        write ('Arquivo não existe.  Operação cancelada.')
    else
    if nomeArq = 'DIENVGAR' then
        write ('Quer envio com garantia (s/n) ? ')
    else
    if nomeArq = 'DIESPREC' then
        write ('Aguardando parceiro iniciar recepcao...')
    else
    if nomeArq = 'DITERTRA' then
        write ('Terminei transmissao.')
    else
    if nomeArq = 'DIDELAY' then
        write ('Espera entre linhas em milissegundos (sugiro 500): ')
    else
    if nomeArq = 'DITRANSM' then
        write ('Transmitindo...')
    else
    if nomeArq = 'DITERTRA' then
        write ('Terminei transmissao.')
    else
    if nomeArq = 'DINOMREC' then
        write ('Qual o nome do arquivo a receber ?')
    else
    if nomeArq = 'DIRECCAN' then
        write ('Recepção cancelada.')
    else
    if nomeArq = 'DITGARAN' then
        write ('O parceiro vai transmitir com garantia (s/n) ? ')
    else
    if nomeArq = 'DIESPENV' then
        write ('Aguardando parceiro enviar...')
    else
    if nomeArq = 'DIGRAV' then
        write ('Arquivo gravado')
    else
    if nomeArq = 'DIERRARQ' then
        write ('Erro ao criar arquivo. Recepção cancelada')
    else
    if nomeArq = 'DITCESCR' then
        write ('Tecle ESC para finalizar a recepção do arquivo')
    else
    if nomeArq = 'DITRUNC' then
        write ('Houve um erro na gravação.  Arquivo foi truncado.')
    else
    if nomeArq = 'DIGRAV' then
        write ('Arquivo gravado')
    else
    if nomeArq = 'DIAJUDT2' then
        write ('F2 - transmite um arquivo')
    else
    if nomeArq = 'DIAJUDT3' then
        write ('F3 - recebe um arquivo')
    else
    if nomeArq = 'DIAJUDT4' then
        write ('F4 - seleciona modo de fala')
    else
    if nomeArq = 'DIAJUDT5' then
        write ('F5 - seleciona modo WWW')
    else
    if nomeArq = 'DIAJUDT6' then
        write ('F6 - limpa tela')
    else
    if nomeArq = 'DIAJUDT7' then
        write ('F7 - disca de novo')
    else
    if nomeArq = 'DIAJUDT8' then
        write ('F8 - fala hora')
    else
    if nomeArq = 'DIAJUDT9' then
        write ('F9 - ativa leitor de tela')
    else
    if nomeArq = 'DITECF10' then
        write ('Tecle F10 para desligar')
    else
    if nomeArq = 'DINOMREC' then
        write ('Qual o nome do arquivo a receber ? ')
    else
    if nomeArq = 'DIERRARQ' then
        write ('Erro ao criar arquivo. Recepcao cancelada')
    else
    if nomeArq = 'DIERRARQ' then
        write ('Erro ao criar arquivo. Recepcao cancelada')
    else
    if nomeArq = 'DICNFFIM' then
        write ('Confirma fim (s/n)')
    else
    if nomeArq = 'DITELCOM' then
        write ('Informe o telefone do computador parceiro: ')
    else
    if nomeArq = 'DITECF10' then
        write ('Tecle F10 para desligar')
    else
    if nomeArq = 'DICONFIG' then
        write ('Configurando comunicações')
    else
    if nomeArq = 'DIPORTA' then
        write ('Porta (atualmente ')
    else
    if nomeArq = 'DIIRQ' then
        write ('IRQ (atualmente ')
    else
    if nomeArq = 'DIVEL' then
        write ('Velocidade (sugiro 2400): ')
    else
    if nomeArq = 'DIBITCAR' then
        write ('Numero de bits por caractere (sugiro 8): ')
    else
    if nomeArq = 'DISTOPBI' then
        write ('Numero de stop bits (sugiro 1): ')
    else
    if nomeArq = 'DIPARID' then
        write ('Paridade: 0 sem, 1 impar, 2 par (sugiro 0): ')
    else
    if nomeArq = 'DIOKCONF' then
        write ('Ok, configurado')
    else
    if nomeArq = 'DISVDSK' then
        write ('Quer salvar em disco (s/n) ? ')
    else
    if nomeArq = 'DINUMPRO' then
        write ('Qual o telefone do provedor (Enter deixa igual): ')
    else
    if nomeArq = 'DIF10TRM' then
        write ('Tecle F10 para desligar, F1 para ajuda')
    else
    if nomeArq = 'DIAJUDU2' then
        write ('F2 - transmite um arquivo')
    else
    if nomeArq = 'DIAJUDU3' then
        write ('F3 - recebe um arquivo')
    else
    if nomeArq = 'DIAJUDU4' then
        write ('F4 - seleciona modo de fala')
    else
    if nomeArq = 'DIAJUDU9' then
        write ('F9 - ativa leitor de tela')
    else
    if nomeArq = 'DIAJUDU0' then
        write ('F10 - fim de comunicação')
    else
    if nomeArq = 'DICNFFIM' then
        write ('Confirma fim (s/n): ')
    else
    if nomeArq = 'DISCHAM' then
        write ('Tecle D para micro discar, E para esperar chamada, R para reconectar: ')
    else
    if nomeArq = 'DISTELUS' then
        write ('Informe o telefone do usuário parceiro: ')
    else
    if nomeArq = 'DICHRESP' then
        write ('Seu micro vai ser quem chama (C) ou responde (R) ? ')
    else
    if nomeArq = 'DIINIC' then
        write ('Sistema DISCAVOX - NCE/UFRJ, RENDE/USP e RNP - Versão ')
    else
    if nomeArq = 'DIINIMOD' then
        write ('Inicializando modem')
    else
    if nomeArq = 'DIFIMMOD' then
        write ('Inicialização do modem concluída, tecle ENTER')
    else
    if nomeArq = 'DIDESLI' then
        write ('Confira se seu telefone realmente desligou, certo ?')
    else
    if nomeArq = 'DITCHAU' then
        write ('Até logo, é um prazer servi-lo.')
    else
    if nomeArq = 'DISAJUD1' then
        write ('As opções do Discavox são:')
    else
    if nomeArq = 'DISAJUD2' then
        write ('U - falar com outro usuário')
    else
    if nomeArq = 'DISAJUD3' then
        write ('R - falar com a Rende')
    else
    if nomeArq = 'DISAJUD4' then
        write ('T - vira terminal de um computador')
    else
    if nomeArq = 'DISAJUD5' then
        write ('F - envio de fax')
    else
    if nomeArq = 'DISAJUD6' then
        write ('C - configurar comunicação com computador')
    else
    if nomeArq = 'DISAJUD7' then
        write ('ESC - termina o programa')
    else
    if nomeArq = 'DISOPCAO' then
        write ('Discavox - Qual sua opção ? ')
    else
    if nomeArq = 'DINUMFAX' then
        write ('Qual o numero do Fax ?')
    else
    if nomeArq = 'DINOMFAX' then
        write ('Informe o nome completo do arquivo a passar no fax')
    else
    if nomeArq = 'DIARQNAO' then
        write ('Esse arquivo não existe.')
    else
    if nomeArq = 'DIPROFAX' then
        write ('Vou chamar o programa para passar o fax')
    else
    if nomeArq = 'DIFIMFAX' then
        write ('Terminei de passar o Fax')
    else
    if nomeArq = 'DIFAXINC' then
        write ('Arquivo de fax incompativel')
    else
    if nomeArq = 'DITELOCU' then
        write ('Telefone ocupado')
    else
    if nomeArq = 'DITELLIN' then
        write ('Telefone não deu linha')
    else
    if nomeArq = 'DIERRNOM' then
        write ('Erro na especificação do arquivo')
    else
    if nomeArq = 'DIERRHRD' then
        write ('Erro de hardware')
    else
    if nomeArq = 'DIERRFAX' then
        write ('Nao consegui chamar o programa de Fax')
    else
    if nomeArq = 'DIERPROG' then
        write ('Erro no programa de fax')
    else
    if nomeArq = 'DIDESLIG' then
        write ('...Desligando...')
    else
    if nomeArq = 'DISCRNAO' then
        write ('Em DOSVOX.INI nao está definido script para este ramal')
    else
    if nomeArq = 'DIERRCMP' then
        write ('Erro no script deste ramal !')
    else
    if nomeArq = 'DIERRCON' then
        write ('Falha de conexao executando: ')
    else
    if nomeArq = 'DIERESCD' then
        write ('Erro de escrita no disco')
    else
    if nomeArq = 'DICARSUM' then
        write ('Carta de repente sumiu: ')
    else
    if nomeArq = 'DIERXM1' then
        write ('Arquivo nao encontrado')
    else
    if nomeArq = 'DIERXM2' then
        write ('Erro na leitura do arquivo')
    else
    if nomeArq = 'DIERXM3' then
        write ('Tempo esgotado esperando parceiro falar')
    else
    if nomeArq = 'DIERXM4' then
        write ('Limite de tentativas de transmissao esgotado')
    else
    if nomeArq = 'DIERXM5' then
        write ('Faltou confirmacao do fechamento do arquivo')
    else
    if nomeArq = 'DIERXM6' then
        write ('Erro na criacao do arquivo')
    else
    if nomeArq = 'DIERXM7' then
        write ('Erro na escrita do arquivo')
    else
    if nomeArq = 'DIERXM8' then
        write ('Erro de transmissao ou parceiro mudo')
    else
    if nomeArq = 'DIERXM9' then
        write ('Erro de seqüência dos blocos')
    else
    if nomeArq = 'DIERREND' then
        write ('Houve problemas na comunicação com a RENDE.')
    else
    if nomeArq = 'DITPROB' then
        write ('Tipo de problema:')
    else
    if nomeArq = 'DIFNOVO' then
        write ('Por garantia, sugiro que você faça tudo de novo.')
    else
    if nomeArq = 'DIFIMPED' then
        write ('Envio de pedidos foi completado.')
    else
    if nomeArq = 'DIINIPED' then
        write ('Iniciando envio de pedidos...')
    else
    if nomeArq = 'DIFIMPED' then
        write ('Envio de pedidos foi completado.')
    else
    if nomeArq = 'DIRECINC' then
        write ('Recepção de mensagens nao foi completa.')
    else
    if nomeArq = 'DITPROB' then
        write ('Tipo de problema: ')
    else
    if nomeArq = 'DIPEDNOV' then
        write ('Sugiro que você faça seus pedidos de novo')
    else
    if nomeArq = 'DIERESCD' then
        write ('Erro de escrita no disco')
    else
    if nomeArq = 'DIERLEID' then
        write ('Erro de leitura no disco')
    else
    if nomeArq = 'DIRECARQ' then
        write ('Recebido arquivo: ')
    else
    if nomeArq = 'DIERDECO' then
        write ('Erro no decodificador. Chame o suporte DOSVOX.')
    else
    if nomeArq = 'DIRECPED' then
        write ('Foi recebido o programa pedido.')
    else
    if nomeArq = 'DINPACD' then
        write ('Pacote de respostas não está no disco.')
    else
    if nomeArq = 'DIERCOMU' then
        write ('Houve algo estranho na comunicação')
    else
    if nomeArq = 'DICTLINV' then
        write ('Controle inválido no arquivo de comunicação:')
    else
    if nomeArq = 'DIRECCAR' then
        write ('Cartas recebidas: ')
    else
    if nomeArq = 'DITELCOM' then
        write ('Informe o telefone do computador parceiro: ')
    else
    if nomeArq = 'DIINSTRT' then
        write ('Tecle F4 para fala, F9 para sair do mini terminal')
    else
    if nomeArq = 'DIFIMTRM' then
        write ('Mini terminal desativado')
    else
    if nomeArq = 'DIRAMAL' then
        write ('Tecle o ramal (de 1 a 9), M para login manual ou ESC para desistir: ')
    else
    if nomeArq = 'DIDESIS' then
        write ('Desistiu...')
    else
    if nomeArq = 'DIISSO' then
        write ('Tecle ENTER para iniciar transmissão, ESC para cancelar')
    else
    if nomeArq = 'DICONDES' then
        write ('Conexão desativada.')
    else
    if nomeArq = 'DICONTA' then
        write ('Qual a sua conta ? ')
    else
    if nomeArq = 'DISENHA' then
        write ('Qual a sua senha ? ')
    else
    if nomeArq = 'DIDISCAR' then
        write ('Ok, agora espere um pouco que eu vou discar.')
    else
    if nomeArq = 'DINAOLIG' then
        write ('Não consegui me conectar.')
    else
    if nomeArq = 'DITENTA' then
        write ('Tecle outro ramal ou ESC para cancelar...')
    else
    if nomeArq = 'DIDENOVO' then
        write ('Tentarei de novo...')
    else
    if nomeArq = 'DIERCONT' then
        write ('O computador não aceitou sua conta.')
    else
    if nomeArq = 'DINCOPRG' then
        write ('Conectou com o computador, mas não com o programa parceiro')
    else
    if nomeArq = 'DIOBRIG' then
        write ('A Rende agradece a você por sua companhia')
    else
    if nomeArq = 'DIDESCUL' then
        write ('Sinto muito amigo...')
    else
    if nomeArq = 'DICODIN' then
        write ('Qual o codinome do texto ? ')
    else
    if nomeArq = 'DIPEDIR' then
        write ('Para pedir a lista de codinomes, selecione I')
    else
    if nomeArq = 'DI20CART' then
        write ('Só consigo mandar 20 cartas por vez.')
    else
    if nomeArq = 'DIENDER' then
        write ('Qual o endereço eletrônico do destinatário ? ')
    else
    if nomeArq = 'DINOMCAR' then
        write ('Qual o nome do arquivo da carta ? ')
    else
    if nomeArq = 'DIARQNAO' then
        write ('Esse arquivo não existe.')
    else
    if nomeArq = 'DIASSUN' then
        write ('Qual o assunto da carta ? ')
    else
    if nomeArq = 'DIENVIO' then
        write ('Carta preparada para envio')
    else
    if nomeArq = 'DIPEGO' then
        write ('Certo.  Quando completar a ligação eu pego as cartas para você.')
    else
    if nomeArq = 'DI5PROG' then
        write ('Só consigo atender a 5 programas por vez. Sinto muito.')
    else
    if nomeArq = 'DIPROREC' then
        write ('Informe o nome do programa a receber:')
    else
    if nomeArq = 'DICOMPL' then
        write ('Ok. Quando completar a ligação eu pego para você.')
    else
    if nomeArq = 'DIRENDE' then
        write ('Servico RENDE - Projeto Intervox - NCE/UFRJ')
    else
    if nomeArq = 'DIQUALOP' then
        write ('Rende - Qual opção ? ')
    else
    if nomeArq = 'DIAJUDR1' then
        write ('As opções da Rende são:')
    else
    if nomeArq = 'DIAJUDR2' then
        write ('e - enviar uma carta')
    else
    if nomeArq = 'DIAJUDR4' then
        write ('r - receber suas cartas')
    else
    if nomeArq = 'DIAJUDR5' then
        write ('f - folhear cartas j  recebidas')
    else
    if nomeArq = 'DIAJUDR6' then
        write ('i - receber o indice dos textos')
    else
    if nomeArq = 'DIAJUDR7' then
        write ('t - receber um texto')
    else
    if nomeArq = 'DIAJUDR8' then
        write ('p - receber programa distribuído pela RENDE')
    else
    if nomeArq = 'DIAJUDR9' then
        write ('ESC - iniciar discagem de conexão')
    else
    if nomeArq = 'DIMONLIS' then
        write ('Ordenando a lista de cartas por hora de chegada...')
    else
    if nomeArq = 'DIOKORD' then
        write ('Ok, cartas ordenadas.')
    else
    if nomeArq = 'DICARSU' then
        write ('Erro no disco: carta sumiu')
    else
    if nomeArq = 'DIAJUFL1' then
        write ('Folheie as cartas recebidas com as setas, depois tecle:')
    else
    if nomeArq = 'DIAJUFL2' then
        write ('L - para ler carta')
    else
    if nomeArq = 'DIAJUFL3' then
        write ('I - para obter informações sobre a carta')
    else
    if nomeArq = 'DIAJUFL4' then
        write ('A - apagar a carta')
    else
    if nomeArq = 'DIAJUFL5' then
        write ('E - editar resposta')
    else
    if nomeArq = 'DIAJUFL6' then
        write ('C - copiar a carta para um arquivo')
    else
    if nomeArq = 'DIAJUFL7' then
        write ('ESC terminar folheamento')
    else
    if nomeArq = 'DIARQ' then
        write ('Arquivo ')
    else
    if nomeArq = 'DIASSU' then
        write ('Assunto: ')
    else
    if nomeArq = 'DIAUTOR' then
        write ('Enviada por ')
    else
    if nomeArq = 'DIDATENV' then
        write ('Data de envio: ')
    else
    if nomeArq = 'DIDATCHE' then
        write ('Data de chegada: ')
    else
    if nomeArq = 'DIERRPRG' then
        write ('Erro ao chamar o programa')
    else
    if nomeArq = 'DIVOLTA' then
        write ('Voltando ao Discavox...')
    else
    if nomeArq = 'DICNFAPA' then
        write ('Confirma o apagamento desta carta com assunto')
    else
    if nomeArq = 'DISIMNAO' then
        write ('(S/N) ? ')
    else
    if nomeArq = 'DIERRDSK' then
        write ('Erro de escrita no disco')
    else
    if nomeArq = 'DIOKAPA' then
        write ('Ok, carta apagada')
    else
    if nomeArq = 'DIPOSMAN' then
        write ('Posso mandar para ')
    else
    if nomeArq = 'DISIMNAO' then
        write (' (s/n) ? ')
    else
    if nomeArq = 'DIENDER' then
        write ('Qual o endereço eletrônico do destinatário? ')
    else
    if nomeArq = 'DIDESIS' then
        write ('Desistiu...')
    else
    if nomeArq = 'DICOPORG' then
        write ('Jogo no editor o texto original (s/n) ? ')
    else
    if nomeArq = 'DIERRLEI' then
        write ('Erro de leitura do arquivo')
    else
    if nomeArq = 'DIERRESC' then
        write ('Erro de escrita no disco')
    else
    if nomeArq = 'DIERRLEI' then
        write ('Erro de leitura do arquivo')
    else
    if nomeArq = 'DIERRDSK' then
        write ('Erro de escrita no disco')
    else
    if nomeArq = 'DICNFENV' then
        write ('Confirma envio (s/n) ? ')
    else
    if nomeArq = 'DIASSUN' then
        write ('Qual o assunto da carta ?')
    else
    if nomeArq = 'DIENVIO' then
        write ('Carta preparada para envio')
    else
    if nomeArq = 'DIINFDST' then
        write ('Informe o nome completo do arquivo destino:')
    else
    if nomeArq = 'DIERRLEI' then
        write ('Erro de leitura do arquivo')
    else
    if nomeArq = 'DIERRESC' then
        write ('Erro de escrita no disco')
    else
    if nomeArq = 'DIULTREG' then
        write ('Ultimo arquivo...')
    else
    if nomeArq = 'DISEMCAR' then
        write ('Não tem carta nenhuma neste diret¢rio')
    else
    if nomeArq = 'DIPODFOL' then
        write ('Folheando: use as setas, depois tecle sua opção')
    else
    if nomeArq = 'DISEMCAR' then
        write ('Não tem carta nenhuma neste diret¢rio')
    else
    if nomeArq = 'DICNTFOL' then
        write ('Continue folheando ou tecle ESC')
    else
    if nomeArq = 'DIERRPOR' then
        write ('Erro ao acessar a porta de comunicações')
    else
        sintWriteln ('--> Mensagem invalida: ' + nomeArq);

    for i := 1 to nlf do
         writeln;

    sintSom (nomearq);
end;

end.
